import { jsx } from "react/jsx-runtime";
import { TokenFTM as TokenFTM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenFTM = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "FTM", "data-name": "TokenFTM", ...props, children: /* @__PURE__ */ jsx(TokenFTM$1, { variant }) });
  }
);
TokenFTM.displayName = "TokenFTM";
Object.assign(TokenFTM, { isGdsIcon: true });
export {
  TokenFTM
};
